package require wrapframe

proc create_check_buttons {frm} {
     set b1 [ttk::checkbutton $frm.b1 -text "button1"]
     set b2 [ttk::checkbutton $frm.b2 -text "button2"]
     set b3 [ttk::checkbutton $frm.b3 -text "button3"]

     grid $b1 -sticky news -padx 20 -pady 5
     grid $b2 -sticky news -padx 20 -pady 5
     grid $b3 -sticky news -padx 20 -pady 5

     grid columnconfigure $frm 0 -weight 1
     
}

proc create_horz_buttons {frm} {
     set b1 [ttk::button $frm.b1 -text "button1"]
     set b2 [ttk::button $frm.b2 -text "button2"]
     set b3 [ttk::button $frm.b3 -text "button3"]

     grid $b1 -sticky news -padx 20 -pady 5
     grid $b2 -sticky news -padx 20 -pady 5
     grid $b3 -sticky news -padx 20 -pady 5

     grid columnconfigure $frm 0 -weight 1
     
}

frame .f 
set f1 [wf_wrapframe .f Options RIGHT -font {ansi 12 }]
set f2 [wf_wrapframe .f Setting LEFT -font {ansi 12 italic}]

create_horz_buttons $f1
create_check_buttons $f2

pack .f -side top -fill x

wf_update_database


