package require wrapframe

proc create_check_buttons {frm} {
     set b1 [ttk::checkbutton $frm.b1 -text "button1"]
     set b2 [ttk::checkbutton $frm.b2 -text "button2"]
     set b3 [ttk::checkbutton $frm.b3 -text "button3"]

     grid $b1 -sticky news -padx 5 -pady 5
     grid $b2 -sticky news -padx 5 -pady 5
     grid $b3 -sticky news -padx 5 -pady 5

     grid columnconfigure $frm 0 -weight 1
     
}

proc create_horz_buttons {frm} {
     set b1 [ttk::button $frm.b1 -text "button1"]
     set b2 [ttk::button $frm.b2 -text "button2"]
     set b3 [ttk::button $frm.b3 -text "button3"]

     grid $b1 -sticky news -padx 5 -pady 5
     grid $b2 -sticky news -padx 5 -pady 5
     grid $b3 -sticky news -padx 5 -pady 5

     grid columnconfigure $frm 0 -weight 0
     
}

set g1 [wf_groupframes . Group1 [list Setting Options] \
           -gfont {ansi 12 bold} -sfont {ansi 11 italic}]
set g2 [wf_groupframes . Group1 [list Setting Options] \
           -gfont {ansi 12 bold} -sfont {ansi 11 italic}]

create_horz_buttons [lindex $g1 0]
create_check_buttons [lindex $g1 1]

set txt1 [text [lindex $g2 0].txt -bg lightyellow -width 60 -height 5]
set txt2 [text [lindex $g2 1].txt -bg lightblue -width 60 -height 3]

pack $txt1 -expand no -padx 5 -pady 5
pack $txt2 -expand no -padx 5 -pady 5



wf_update_database






